Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Class HandlerInfo

    java.lang.Object
      javax.xml.rpc.handler.HandlerInfo

All Implemented Interfaces:
  Serializable

public class HandlerInfo
extends Object
implements Serializable

This represents information about a handler in the HandlerChain. A HandlerInfo instance is passed in the Handler.init method to initialize a Handler instance.

Version:
  $Revision: 1.6 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`HandlerInfo()` Default constructor
`HandlerInfo(Class handlerClass, Map config, javax.xml.namespace.QName[] headers)` Constructor for HandlerInfo

Method Summary
`Class` | `getHandlerClass()` Gets the Handler class
`Map` | `getHandlerConfig()` Gets the Handler configuration
`javax.xml.namespace.QName[]` | `getHeaders()` Gets the header blocks processed by this Handler.
`void` | `setHandlerClass(Class handlerClass)` Sets the Handler class
`void` | `setHandlerConfig(Map config)` Sets the Handler configuration as java.util.Map
`void` | `setHeaders(javax.xml.namespace.QName[] qnames)` Sets the header blocks processed by this Handler.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HandlerInfo

    public HandlerInfo()

  Default constructor

### HandlerInfo

    public HandlerInfo(Class handlerClass,
                       Map config,
                       javax.xml.namespace.QName[] headers)

  Constructor for HandlerInfo

Parameters:
  `handlerClass` - Java Class for the Handler
  `config` - Handler Configuration as a java.util.Map
  `headers` - QNames for the header blocks processed by this Handler. QName is the qualified name of the outermost element of a header block

Method Detail

### getHandlerClass

    public Class getHandlerClass()

  Gets the Handler class

  Returns:
    Returns null if no Handler class has been set; otherwise the set handler class

### setHandlerClass

    public void setHandlerClass(Class handlerClass)

  Sets the Handler class

  Parameters:
    `handlerClass` - Class for the Handler

### getHandlerConfig

    public Map getHandlerConfig()

  Gets the Handler configuration

  Returns:
    Returns empty Map if no configuration map has been set; otherwise returns the set configuration map

### setHandlerConfig

    public void setHandlerConfig(Map config)

  Sets the Handler configuration as java.util.Map

  Parameters:
    `config` - Configuration map

### getHeaders

    public javax.xml.namespace.QName[] getHeaders()

  Gets the header blocks processed by this Handler.

  Returns:
    Array of QNames for the header blocks. Returns null if no header blocks have been set using the setHeaders method.

### setHeaders

    public void setHeaders(javax.xml.namespace.QName[] qnames)

  Sets the header blocks processed by this Handler.

  Parameters:
    `qnames` - QNames of the header blocks. QName is the qualified name of the outermost element of the SOAP header block

### toString

    public String toString()

  Returns a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.